package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TEbsApiMapper;
import com.ruoyi.business.domain.TEbsApi;
import com.ruoyi.business.service.ITEbsApiService;
import com.ruoyi.common.core.text.Convert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author wms
 * @date 2022-08-25
 */
@Service
public class TEbsApiServiceImpl extends ServiceImpl<TEbsApiMapper, TEbsApi> implements ITEbsApiService
{
    @Autowired
    private TEbsApiMapper tEbsApiMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param url 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TEbsApi selectTEbsApiByUrl(String url)
    {
        return tEbsApiMapper.selectTEbsApiByUrl(url);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tEbsApi 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TEbsApi> selectTEbsApiList(TEbsApi tEbsApi)
    {
        return tEbsApiMapper.selectTEbsApiList(tEbsApi);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tEbsApi 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTEbsApi(TEbsApi tEbsApi)
    {
        return tEbsApiMapper.insertTEbsApi(tEbsApi);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tEbsApi 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTEbsApi(TEbsApi tEbsApi)
    {
        return tEbsApiMapper.updateTEbsApi(tEbsApi);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param urls 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTEbsApiByUrls(String urls)
    {
        return tEbsApiMapper.deleteTEbsApiByUrls(Convert.toStrArray(urls));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param url 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTEbsApiByUrl(String url)
    {
        return tEbsApiMapper.deleteTEbsApiByUrl(url);
    }
}
